Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Commits on Mar 17, 2013
  1. tagged 2.1.0.beta1

    authored
  2. Post install message for gem.

    authored
  3. Update history.

    authored
  4. Refactor and document

    authored
  5. Merge branch 'patch-2' of git://github.com/abotalov/capybara into abo…

    authored
    …talov-patch-2
    
    Conflicts:
    	lib/capybara.rb
Commits on Mar 16, 2013
  1. Require new version of xpath

    authored
  2. remove xpath submodule

    authored
  3. Use explicit require instead of autoload

    authored
    For thread safety reasons
  4. Merge branch 'disabled-filter'

    authored
    Conflicts:
    	lib/capybara/query.rb
  5. Merge pull request #1013 from twalpole/enabled

    authored
    Make RackTest::Node#disabled? behavior match webdriver for option and optgroup elements
Commits on Mar 15, 2013
  1. @twalpole
  2. @twalpole
Commits on Mar 14, 2013
  1. Merge pull request #1012 from jnicklas/reload-race-conditions

    authored
    Prevent race conditions in reloading nodes, closes #1009
  2. Prevent race conditions in reloading nodes, closes #1009

    Ivan Navarrete and Jonas Nicklas authored
Commits on Mar 13, 2013
  1. Merge pull request #1008 from grzuy/clean_spec_helper_require

    authored
    spec_helper no longer requires itself
  2. Merge pull request #1007 from twalpole/unused_unsynchronized

    authored
    remove unused instance variable
Commits on Mar 12, 2013
  1. @twalpole
  2. Merge pull request #1005 from jnicklas/nested-synchronize

    authored
    Prevent nested synchronize calls on different nodes from affecting each other
Commits on Mar 11, 2013
  1. Prevent nested synchronize calls on different nodes from affecting ea…

    authored
    …ch other
    
    Should prevent race conditions when calls to `synchronize` are nested.
Commits on Mar 10, 2013
  1. @abotalov
  2. @abotalov
  3. @abotalov

    Require Ruby >= 1.9.3

    abotalov authored
    Last patch version of Ruby 1.9.2 (p320) was released in April 2012, almost a year ago.
    Since than 4 patch versions for 1.9.3 were released: : [fix1][1], [fix2][2], [fix3][3]
    1.9.2 doesn't contain fixes for them so I think it's not supported
    
      [1]: http://www.ruby-lang.org/en/news/2012/11/09/ruby19-hashdos-cve-2012-5371/
      [2]: http://www.ruby-lang.org/en/news/2013/02/22/json-dos-cve-2013-0269/
      [3]: http://www.ruby-lang.org/en/news/2013/02/22/rexml-dos-2013-02-22/
  4. Merge pull request #1000 from twalpole/readonly

    authored
    Readonly attribute support for text and textarea elements
  5. Merge pull request #999 from randoum/master

    authored
    Adding simple description to NotSupportedByDriverError exceptions
Commits on Mar 9, 2013
  1. @twalpole

    readonly support

    twalpole authored
  2. @twalpole

    test for readonly behavior

    twalpole authored
  3. @randoum

    Add simple description to exception

    randoum authored
    Add description to NotSupportedByDriverError exception to help tracking during debugging
  4. @randoum

    Add simple description to exception

    randoum authored
    Add description to NotSupportedByDriverError exception to help tracking during debugging
  5. @randoum

    Add simple description to exception

    randoum authored
    Add description to NotSupportedByDriverError exception to help tracking during debugging
Commits on Mar 8, 2013
  1. Merge pull request #998 from justinledwards/patch-1

    authored
    Update README.md to fix some typos
  2. @justinledwards
  3. Fix on JRuby

    authored
  4. Merge pull request #994 from yannp/have_field-textarea_select

    authored
    'textarea' and 'select' as a :type in Rspec matcher have_field()
Something went wrong with that request. Please try again.